/*
//	Copyright 1996 Be Inc., All Rights Reserved.
//  Used by permission
*/
//  Modified by T. Yamagata for Public Release Version of BeOS
//  Last Update 981202

#ifndef _STRING_LABEL_H											//981006
#define _STRING_LABEL_H											//981006

#include <Point.h>
#include <View.h>
#include <Font.h>

//========================================================================
// Class: StringLabel
//
// This class serves as a lightweight way of drawing a string into any 
// view.  It is more lightweight than using a View, and it has more 
// parameters for displaying the text than a BStringView.
//========================================================================

class StringLabel
{
public:
    StringLabel(const char *aString, const BPoint origin=BPoint(0,0), 
        const float  fontSize=12.0 ); 
    virtual ~StringLabel();
		
    void    Draw(BView* aView);
		
    void    Invalidate();
    void    Recalculate(BView *);
		
    void    SetText(const char *aString);
    void    SetAlignment(const alignment theAlignment);
    void    SetOrigin(const BPoint& origin);
    void    SetSize(const float fontSize);
    void    SetColor(rgb_color);
		
protected:
	rgb_color	fColor;
	alignment	fAlignment;
	char		*fString;
	BPoint		fOrigin;
	BPoint		fStartPoint;
	float		fSize;										//981202
	int			fNeedsCalculation;
	char		*fName;
	
private:
};

#endif														//981006

